:root {
    --text-foreground: rgb(226, 226, 226);
}

* {
    box-sizing: border-box;
    font-family: monospace;
    text-decoration: none;
}

body {
    margin: 0;
    display: flex;
    flex-direction: column;
    height: 100vh;
    width: 100%;
    background-color: black;
    text-decoration: none;
}

.page {
    min-height: 100vh;
    width: 100%;
    display: flex;
    flex-direction: column;
    padding: 32px;
}

.topbar {
  display: flex;
  justify-content: space-between;
  gap: 8px;
  align-items: flex-start; /* aligns button to the top */
}

.home {
    background: black;
    text-decoration: none;
}

footer {
  text-align: center;
  font-size: 14px;
  padding: 20px;
}

footer a,
footer a:visited {
  color: rgb(176, 176, 176);
  text-decoration: none;
}

footer a:hover {
  opacity: 0.7;
}

h1 {
    color: var(--text-foreground);
    margin-top: 0;
    margin-bottom: 0;
}

h2 {
    color: var(--text-foreground);
}

p {
    font-size: 14px;
    color: var(--text-foreground);
    line-height: 18px;
}

.projects {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    margin: 0 -16px;
    margin-top: auto;
}

.gallery-item {
    width: 20%;
    color: var(--text-foreground);
    font-family: Arial, Helvetica, sans-serif;
    font-size: small;
    display: flex;
    text-align: center;
    flex-direction: column;
    text-decoration: none;
    padding: 16px;
}

.gallery-item img {
    /* width: 250px; */
    width: 100%;
}

.gallery-item :hover {
    opacity: 50%;
}

d1 {
    color: blue;
}

/*aboutme*/

.aboutbutton {
  display: inline-block;
  padding: 26px 34px;
  background-color: rgb(220, 220, 220);
  color: rgb(0, 0, 0);
  text-decoration: none;
  font-family: monospace;
  font-size: 15px;
  font-weight: 500;
  margin-right: 48px;
  margin-top: 0px;
  text-decoration: none;
  border-radius: 8px;
}

.aboutbutton:hover {
  background-color: #828282;
}

.aboutme p {
    color: #ffffff;
    text-decoration: none;
    margin-top: 0;
}

.aboutme * {
    font-family: monospace;
    text-decoration: none;
}

#aboutme {
  display: flex !important;
  flex-direction: row !important;
  align-items: flex-start;
  gap: 40px;
  padding:0;
}

.aboutme_description {
    display: flex;
    color: #ffffff;
    text-decoration: none;
    flex-direction: column;
    max-width: 25%;
    padding-top: 48px;
    padding-left: 48px;
    position: relative;
    z-index: 10;
}

.aboutme_description h1 {
    margin-top:0;
    font-size:38px;
}

.aboutme_description h2 {
    margin-top: 100px;
    font-size: 38px;

}

.aboutme_description p {
    margin-top: 24px;
    line-height: 30px;
    font-size: 18px;
}

.aboutme_description a {
    line-height: 16px;
    font-size: 18px;
    text-decoration: none;
    color: rgb(255, 255, 255);
    z-index: 1;
}
.aboutme_description a:hover {
    text-decoration: underline;
    color:rgb(61, 124, 211);
}

 .aboutme_slides {
    position: absolute;
    margin-left: 0;

 }
.aboutme_slides img {
    width:100vw;
    display: block;
    position:relative;
    align-items: right;
    z-index: 1;
}


/*SPLIT*/

.console {
    position: relative;
}

/* PERFECT CENTERING INSIDE IMAGE */
.split {
    align-items: center;
}

.split * {
    font-family: monospace;
}

.split-game {
    align-items: center;
}

#about-split {
  display: flex !important;
  flex-direction: row !important;
  align-items: flex-start;
  gap: 40px;
}

.about-split-description {
    display: flex;
    flex-direction: column;
    max-width: 20%;
}

.about-split-description h1 {
    margin: 0;
}

.about-split-description h2 {
    margin-top: 8px;
}

.about-split-description p {
    line-height: 22px;
}

 .about-split-gallery {
    position: relative;
    margin-left: auto;

 }
.about-split-gallery img {
    width:1000px;
    display: block;
    position:relative;
    z-index: 1;
}

.split-video {
  position: absolute;
  width: 40%;
  top: 340px;   /* adjust overlap */
  left: 30px;  /* adjust horizontal placement */
  z-index: 2;
}

#game-container {
    position: absolute;
    top: 77px;
    left: 79.5px;
    z-index: 0;
}

.console-img {
    width: 600px;
    display: block;
    z-index: 1;
    position: relative;
}

.split-buttons {
    width: 100%;
    display: flex;
    justify-content: space-between;
}

.split-buttons a {
    padding: 8px 14px;
    align-self: flex-start;

    border: 1px solid #0cc812;
    color: #0cc812;
    text-decoration: none;
    font-family: monospace;
    font-size: 14px;

    background: rgba(0, 0, 0, 0.4);
    backdrop-filter: blur(4px);

    transition: 0.2s;
}

.arrows {
    background:rgba(0, 0, 0, 0.6);
    height:100%;
    width:100%;
    justify-content: center;
    display: flex;
    flex-direction: column;
    position: fixed;
    top:50%;
    left:50%;
    transform:translate(-50%,-50%);
    gap: 12px;


    opacity: 0;
    pointer-events: none;
    transition: 500ms;
    z-index: 10;
}

.arrows-row {
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 12px;
}

.arrow {
    display: flex;
    height: 150px;
    width: 150px;
    border-radius: 8px;
    border: 1px solid #0cc812;
    color: #0cc812;

    align-items: center;
    justify-content: center;
    text-align: center;

    font-size: 90px;

    animation: arrow-animation 3s linear infinite;
}

@keyframes arrow-animation {
    0%, 15% {
        background-color:#0cc8121f;
        box-shadow: 0 0 10px 5px #0cc8121f;
    }

    21%, 100% {
        background-color: transparent;
        box-shadow: none;
    }
}

/*CHICAGO*/

.chicago_slides img {
    display: block;
    width: 100%;
}

.chicago * {
    font-family: monospace;
}

#about-chicago {
  display: flex !important;
  flex-direction: row !important;
  align-items: flex-start;
  gap: 40px;
  padding:0;
}

.about-chicago-description {
    display: flex;
    flex-direction: column;
    max-width: 30%;
    padding-top: 32px;
    padding-left: 32px;
}

.about-chicago-description h1 {
    margin: 0;
    font-size:x-large;
}

.about-chicago-description h2 {
    margin-top: 8px;
    font-size: large;
}

.about-chicago-description p {
    line-height: 22px;
    font-size: smaller;
}

 .about-chicago-gallery {
    position: absolute;
    margin-left: 0;

 }
.about-chicago-gallery img {
    width:100vw;
    display: block;
    position:relative;
    z-index: 1;
}

/*SHUTI*/

.shuti_slides img {
    display: block;
    width: 100%;
}

/*Printer*/

.printer-video {
    padding: 32px;
    position: absolute;
    width: 100vw;
    height: auto;
}

.printer_slides img {
    display: block;
    width: 100%;
}

.printer * {
    font-family: monospace;
}

#about-printer {
  display: flex !important;
  flex-direction: row !important;
  align-items: flex-start;
  gap: 40px;
  padding:0;
}

.about-printer-description {
    display: flex;
    flex-direction: column;
    max-width: 30%;
    padding-top: 32px;
    padding-left: 32px;
}

.about-printer-description h1 {
    margin: 0;
    font-size:x-large;
}

.about-printer-description h2 {
    margin-top: 8px;
    font-size: large;
}

.about-printer-description p {
    line-height: 22px;
    font-size: smaller;
}

 .about-printer-gallery {
    position: absolute;
    margin-left: 0;

 }
.about-printer-gallery img {
    width:100vw;
    display: block;
    position:relative;
    z-index: 1;
}

/*HANDS*/

.hands_slides img {
    display: block;
    width: 100%;
}


/*POSTERS*/

.posters_slides img {
    display: block;
    width: 100%;
}

/*POSTCARDS*/

.postcard_slides img {
    display: block;
    width: 100%;
}

/*POSTCARDS*/

.glasfabrik_slides img {
    display: block;
    width: 100%;
}

/*ARTISANS*/

.artisans_slides img {
    display: block;
    width: 100%;
}

/*SALARO*/

.salaro_slides img {
    display: block;
    width: 100%;
}

.impressum {
  background-color: black;
  color: white;
  font-family: monospace;
  margin: 0;
  padding: 60px 60px;
}

.impressum h1 {
  font-size: 30px;
  margin-bottom: 40px;
}

.impressum p {
    font-size: 20px;
    line-height: 28px;
}

@media only screen and (max-width: 768px) {
    .gallery-item {
        width: 50%;
    }

    .aboutbutton {
        margin: 0;
        padding:12px;
    }

    .console-img {
        width: 320px;
    }

    #game-container {
        top: 41px;
        left: 43px;
    }
}